Bug 247769 - devel/libconfuse: Update to 3.3
Summary: devel/libconfuse: Update to 3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL: https://github.com/martinh/libconfuse...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-04 22:32 UTC by Juraj Lutter
Modified: 2020-07-06 10:18 UTC (History)
3 users (show)

See Also:


Attachments
devel/libconfuse: Update to 3.3 (1.37 KB, patch)
2020-07-04 22:32 UTC, Juraj Lutter
juraj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter 2020-07-04 22:32:22 UTC
Created attachment 216206 [details]
devel/libconfuse: Update to 3.3

Hi,

please find the patch attached.

Changelog since 3.2.1:


* v3.3 - 2020-06-25:

 o) Changes:
  - Support building static library on Windows
  - Support for fmemopen() in Windows UWP applications
  - Support for cfg_getopt(cfg, "sub=name|option"), i.e., get an option from a sub-section, by Peter Rosin
  - Support for CFGF_MODIFIED flag, to detect changes to settings in memory after parsing, by Peter Rosin
  - Support for filtering out settings when printing, by Peter Rosin
  - Support for dynamic key=value sections with no pre-runtime knowledge of setting names, useful for environment variables and similar
  - Updated German translation, by Chris Leick

 o) Fixes:
  - Fix loop-forever bug found by Christian Reitter; a .conf file containing only "=", will cause even the simplest parser to loop forever in internal function cfg_getopt_secidx()
  - Issue #113: Fail to build strdup() replacement
  - Issue #118: Fix build on Windows, missing fmemopen() replacement
  - Issue #120: Handle shell and C++ comments with no space separator
  - Issue #125: Drop developer debug msg QSTR: ...
  - Issue #131: Fix CFG_PTR_CB() regression, segfaults when, e.g., cfg_free() is called. Found and fixed by Peter Rosin
  - Issue #135: Revert CFGF_RESET flag if cfg_setmulti() family fail
  - Issue #137: Memory leak in cfg_setopt() for PTR options

* v3.2.2 - 2018-08-19
  - security patch release for CVE-2018-14447. The vulnerability affects all releases since v3.1 when the CFGF_COMMENTS functionality was first introduced.

Poudriere log:
https://freebsd-current.builder.wilbury.net/data/13_CURRENT_GENERIC_amd64-default/2020-07-05_00h17m41s/logs/libconfuse-3.3.log

testport log:
https://freebsd-current.builder.wilbury.net/data/13_CURRENT_GENERIC_amd64-default/2020-07-05_00h22m55s/logs/libconfuse-3.3.log
Comment 1 Automation User 2020-07-04 22:54:16 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/163154011
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-05 04:06:45 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 3 Tobias C. Berner freebsd_committer 2020-07-05 17:01:44 UTC
Moin moin 

is otis@freebsd.sk fine with the maintainership change?


mfg Tobias
Comment 4 Juraj Lutter 2020-07-05 21:43:32 UTC
That is an e-mail address that I used years ago (I still have it on some ports I maintain) and which I do not have an access to no longer.
Comment 5 commit-hook freebsd_committer 2020-07-06 10:15:54 UTC
A commit references this bug:

Author: danfe
Date: Mon Jul  6 10:15:08 UTC 2020
New revision: 541332
URL: https://svnweb.freebsd.org/changeset/ports/541332

Log:
  - Update to version 3.3
  - Update maintainer's email address
  - Hook the tests to our framework

  PR:	247769

Changes:
  head/devel/libconfuse/Makefile
  head/devel/libconfuse/distinfo
  head/devel/libconfuse/pkg-plist
Comment 6 Alexey Dokuchaev freebsd_committer 2020-07-06 10:18:33 UTC
Committed as ports r541332, thanks!  I've also hooked up the test suite.